# Contributing

When contributing to this repository, please first discuss the change you wish to make by creating an [issue](https://github.com/gonetx/httpit/issues) or any other method with the owners of this repository before making a change.

Please note: we have a [code of conduct](https://github.com/gonetx/httpit/blob/master/.github/CODE_OF_CONDUCT.md), please follow it in all your interactions with the `gonetx` project.

## Pull Requests or Commits
Titles always we Should use prefix according to below:

> 🔥 Feature, ♻️ Refactor, 🩹 Fix, 🚨 Test, 📚 Doc, 🎨 Style
- 🔥 Feature: Add flow to add person
- ♻️ Refactor: Rename file X to Y
- 🩹 Fix: Improve flow
- 🚨 Test: Validate to add a new person
- 📚 Doc: Translate to Portuguese middleware redirect
- 🎨 Style: Respected pattern Golint

All pull request that contains a feature or fix is mandatory to have unit tests. Your PR is only to be merged if you respect this flow.

# 👍 Contribute

If you want to say **thank you** and/or support the active development of `gonetx`:

1. Add a [GitHub Star](https://github.com/gonetx/httpit/stargazers) to the project.
2. Write a review or tutorial on [Medium](https://medium.com/), [Dev.to](https://dev.to/) or personal blog.
3. Support the project by donating a [cup of coffee](https://buymeacoff.ee/kiyon).
